com.opensymphony.xwork2

## Class StrutsTextProviderFactory

- java.lang.Object
- - com.opensymphony.xwork2.StrutsTextProviderFactory

- All Implemented Interfaces:
    TextProviderFactory

      public class StrutsTextProviderFactory
      extends Object
      implements TextProviderFactory

  This factory enables users to provide and correctly initialize a custom TextProvider.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected TextProvider` | `defaultTextProvider`
    `protected LocaleProviderFactory` | `localeProviderFactory`
    `protected LocalizedTextProvider` | `localizedTextProvider`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StrutsTextProviderFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TextProvider` | `createInstance(Class clazz)`
    `TextProvider` | `createInstance(ResourceBundle bundle)`
    `protected TextProvider` | `getTextProvider(Class clazz)`
    `protected TextProvider` | `getTextProvider(ResourceBundle bundle)`
    `void` | `setDefaultTextProvider(TextProvider defaultTextProvider)`
    `void` | `setLocaleProviderFactory(LocaleProviderFactory localeProviderFactory)`
    `void` | `setLocalizedTextProvider(LocalizedTextProvider localizedTextProvider)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### localeProviderFactory

          protected LocaleProviderFactory localeProviderFactory

    - #### localizedTextProvider

          protected LocalizedTextProvider localizedTextProvider

    - #### defaultTextProvider

          protected TextProvider defaultTextProvider

  - ### Constructor Detail

    - #### StrutsTextProviderFactory

          public StrutsTextProviderFactory()

  - ### Method Detail

    - #### setLocaleProviderFactory

          public void setLocaleProviderFactory(LocaleProviderFactory localeProviderFactory)

    - #### setLocalizedTextProvider

          public void setLocalizedTextProvider(LocalizedTextProvider localizedTextProvider)

    - #### setDefaultTextProvider

          public void setDefaultTextProvider(TextProvider defaultTextProvider)

    - #### createInstance

          public TextProvider createInstance(Class clazz)

      Specified by:
        `createInstance` in interface `TextProviderFactory`

    - #### createInstance

          public TextProvider createInstance(ResourceBundle bundle)

      Specified by:
        `createInstance` in interface `TextProviderFactory`

    - #### getTextProvider

          protected TextProvider getTextProvider(Class clazz)

    - #### getTextProvider

          protected TextProvider getTextProvider(ResourceBundle bundle)

Copyright © 2000–2025 Apache Software Foundation. All rights reserved.